Loading...
Searching...
No Matches
dolfin::GenericFile Class Reference

Base class for file I/O objects. More...

`#include <GenericFile.h>`

Inheritance diagram for dolfin::GenericFile:
[legend]

## Public Member Functions

| GenericFile (std::string filename, std::string filetype)
| Constructor.
virtual | ~GenericFile ()
| Destructor.
virtual void | read (Mesh &mesh)
virtual void | read (GenericVector &x)
virtual void | read (GenericMatrix &A)
virtual void | read (GenericDofMap &dofmap)
virtual void | read (LocalMeshData &data)
virtual void | read (MeshFunction< int > &mesh_function)
virtual void | read (MeshFunction< std::size_t > &mesh_function)
virtual void | read (MeshFunction< double > &mesh_function)
virtual void | read (MeshFunction< bool > &mesh_function)
virtual void | read (MeshValueCollection< int > &mesh_markers)
virtual void | read (MeshValueCollection< std::size_t > &mesh_markers)
virtual void | read (MeshValueCollection< double > &mesh_markers)
virtual void | read (MeshValueCollection< bool > &mesh_markers)
virtual void | read (Parameters &parameters)
virtual void | read (Table &table)
virtual void | read (std::vector< int > &x)
virtual void | read (std::vector< std::size_t > &x)
virtual void | read (std::vector< double > &x)
virtual void | read (std::map< std::size_t, int > &map)
virtual void | read (std::map< std::size_t, std::size_t > &map)
virtual void | read (std::map< std::size_t, double > &map)
virtual void | read (std::map< std::size_t, std::vector< int > > &array_map)
virtual void | read (std::map< std::size_t, std::vector< std::size_t > > &array_map)
virtual void | read (std::map< std::size_t, std::vector< double > > &array_map)
virtual void | read (Function &u)
virtual void | write (const GenericVector &x)
virtual void | write (const GenericMatrix &A)
virtual void | write (const Mesh &mesh)
virtual void | write (const GenericDofMap &dofmap)
virtual void | write (const LocalMeshData &data)
virtual void | write (const MeshFunction< int > &mesh_function)
virtual void | write (const MeshFunction< std::size_t > &mesh_function)
virtual void | write (const MeshFunction< double > &mesh_function)
virtual void | write (const MeshFunction< bool > &mesh_function)
virtual void | write (const MeshValueCollection< int > &mesh_markers)
virtual void | write (const MeshValueCollection< std::size_t > &mesh_markers)
virtual void | write (const MeshValueCollection< double > &mesh_markers)
virtual void | write (const MeshValueCollection< bool > &mesh_markers)
virtual void | write (const Function &u)
virtual void | write (const Mesh &mesh, double time)
virtual void | write (const MeshFunction< int > &mf, double time)
virtual void | write (const MeshFunction< std::size_t > &mf, double time)
virtual void | write (const MeshFunction< double > &mf, double time)
virtual void | write (const MeshFunction< bool > &mf, double time)
virtual void | write (const Function &u, double time)
virtual void | write (const Parameters &parameters)
virtual void | write (const Table &table)
virtual void | write (const std::vector< int > &x)
virtual void | write (const std::vector< std::size_t > &x)
virtual void | write (const std::vector< double > &x)
virtual void | write (const std::map< std::size_t, int > &map)
virtual void | write (const std::map< std::size_t, std::size_t > &map)
virtual void | write (const std::map< std::size_t, double > &map)
virtual void | write (const std::map< std::size_t, std::vector< int > > &array_map)
virtual void | write (const std::map< std::size_t, std::vector< std::size_t > > &array_map)
virtual void | write (const std::map< std::size_t, std::vector< double > > &array_map)
void | _read ()
void | _write (std::size_t process_number)
std::string | name () const

## Protected Member Functions

void | read_not_impl (const std::string object) const
void | write_not_impl (const std::string object) const

## Protected Attributes

std::string | _filename
std::string | _filetype
bool | opened_read
bool | opened_write
bool | check_header
std::size_t | counter
std::size_t | counter1
std::size_t | counter2

## Detailed Description

Base class for file I/O objects.

## Member Function Documentation

## read() [1/13]

void GenericFile::read | ( | Function & | u | ) |

virtual

Reimplemented in dolfin::XMLFile.

## read() [2/13]

void GenericFile::read | ( | GenericVector & | x | ) |

virtual

Reimplemented in dolfin::XMLFile.

## read() [3/13]

void GenericFile::read | ( | Mesh & | mesh | ) |

virtual

Reimplemented in dolfin::XMLFile.

## read() [4/13]

void GenericFile::read | ( | MeshFunction< bool > & | mesh_function | ) |

virtual

Reimplemented in dolfin::XMLFile.

## read() [5/13]

void GenericFile::read | ( | MeshFunction< double > & | mesh_function | ) |

virtual

Reimplemented in dolfin::XMLFile.

## read() [6/13]

void GenericFile::read | ( | MeshFunction< int > & | mesh_function | ) |

virtual

Reimplemented in dolfin::XMLFile.

## read() [7/13]

void GenericFile::read | ( | MeshFunction< std::size_t > & | mesh_function | ) |

virtual

Reimplemented in dolfin::XMLFile.

## read() [8/13]

void GenericFile::read | ( | MeshValueCollection< bool > & | mesh_markers | ) |

virtual

Reimplemented in dolfin::XMLFile.

## read() [9/13]

void GenericFile::read | ( | MeshValueCollection< double > & | mesh_markers | ) |

virtual

Reimplemented in dolfin::XMLFile.

## read() [10/13]

void GenericFile::read | ( | MeshValueCollection< int > & | mesh_markers | ) |

virtual

Reimplemented in dolfin::XMLFile.

## read() [11/13]

void GenericFile::read | ( | MeshValueCollection< std::size_t > & | mesh_markers | ) |

virtual

Reimplemented in dolfin::XMLFile.

## read() [12/13]

void GenericFile::read | ( | Parameters & | parameters | ) |

virtual

Reimplemented in dolfin::XMLFile.

## read() [13/13]

void GenericFile::read | ( | Table & | table | ) |

virtual

Reimplemented in dolfin::XMLFile.

## write() [1/19]

void GenericFile::write | ( | const Function & | u | ) |

virtual

Reimplemented in dolfin::RAWFile, dolfin::VTKFile, dolfin::X3DFile, dolfin::XMLFile, and dolfin::XYZFile.

## write() [2/19]

void GenericFile::write | ( | const Function & | u,
|  | double | time )

virtual

Reimplemented in dolfin::VTKFile.

## write() [3/19]

void GenericFile::write | ( | const GenericVector & | x | ) |

virtual

Reimplemented in dolfin::XMLFile.

## write() [4/19]

void GenericFile::write | ( | const Mesh & | mesh | ) |

virtual

Reimplemented in dolfin::SVGFile, dolfin::VTKFile, dolfin::X3DFile, and dolfin::XMLFile.

## write() [5/19]

void GenericFile::write | ( | const Mesh & | mesh,
|  | double | time )

virtual

Reimplemented in dolfin::VTKFile.

## write() [6/19]

void GenericFile::write | ( | const MeshFunction< bool > & | mesh_function | ) |

virtual

Reimplemented in dolfin::VTKFile, and dolfin::XMLFile.

## write() [7/19]

void GenericFile::write | ( | const MeshFunction< bool > & | mf,
|  | double | time )

virtual

Reimplemented in dolfin::VTKFile.

## write() [8/19]

void GenericFile::write | ( | const MeshFunction< double > & | mesh_function | ) |

virtual

Reimplemented in dolfin::RAWFile, dolfin::VTKFile, and dolfin::XMLFile.

## write() [9/19]

void GenericFile::write | ( | const MeshFunction< double > & | mf,
|  | double | time )

virtual

Reimplemented in dolfin::VTKFile.

## write() [10/19]

void GenericFile::write | ( | const MeshFunction< int > & | mesh_function | ) |

virtual

Reimplemented in dolfin::RAWFile, dolfin::VTKFile, and dolfin::XMLFile.

## write() [11/19]

void GenericFile::write | ( | const MeshFunction< int > & | mf,
|  | double | time )

virtual

Reimplemented in dolfin::VTKFile.

## write() [12/19]

void GenericFile::write | ( | const MeshFunction< std::size_t > & | mesh_function | ) |

virtual

Reimplemented in dolfin::VTKFile, dolfin::X3DFile, and dolfin::XMLFile.

## write() [13/19]

void GenericFile::write | ( | const MeshFunction< std::size_t > & | mf,
|  | double | time )

virtual

Reimplemented in dolfin::VTKFile.

## write() [14/19]

void GenericFile::write | ( | const MeshValueCollection< bool > & | mesh_markers | ) |

virtual

Reimplemented in dolfin::XMLFile.

## write() [15/19]

void GenericFile::write | ( | const MeshValueCollection< double > & | mesh_markers | ) |

virtual

Reimplemented in dolfin::XMLFile.

## write() [16/19]

void GenericFile::write | ( | const MeshValueCollection< int > & | mesh_markers | ) |

virtual

Reimplemented in dolfin::XMLFile.

## write() [17/19]

void GenericFile::write | ( | const MeshValueCollection< std::size_t > & | mesh_markers | ) |

virtual

Reimplemented in dolfin::XMLFile.

## write() [18/19]

void GenericFile::write | ( | const Parameters & | parameters | ) |

virtual

Reimplemented in dolfin::XMLFile.

## write() [19/19]

void GenericFile::write | ( | const Table & | table | ) |

virtual

Reimplemented in dolfin::XMLFile.

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/io/GenericFile.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/io/GenericFile.cpp